%define module kernel-advansys
%define version 0.9.1
%define rpm_release 1

Summary     : Linux kernel advansys module
Name	    : %{module}
Version     : %{version}
Release     : %{rpm_release}dkms
Group       : System Environment/Kernel
BuildArch   : noarch
Requires    : dkms >= 1.12, gcc
Source0     : %{module}-%{version}.tar.bz2
License	    : BSD-ish
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This driver provides the advansys SCSI module, which has been omitted from recent
Fedora kernels.

If you need the advansys module for booting (e.g. if your system is installed onto
a SCSI disk attached to the Advansys card), run the following commands to build a new initrd
after installing a new kernel:

%{_sbindir}/dkms build -k kernelver -m %{module} -v %{version}
%{_sbindir}/dkms install -k kernelver -m %{module} -v %{version}

This assumes that you have a line "alias scsi_hostadapter advansys" in /etc/modprobe.conf

%prep
%setup

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
DESTDIR=$RPM_BUILD_ROOT%{_usrsrc}/%{module}-%{version}
%{__install} -m 755 -d $DESTDIR
%{__cp} -r kernel-source patches redhat_driver_disk $DESTDIR
for f in dkms.conf Makefile kernel-advansys.spec README
do
	%{__install} -m 444 $f $DESTDIR
done
for f in *.sh
do
	%{__install} -m 744 $f $DESTDIR
done

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_usrsrc}/%{module}-%{version}

%post
# Add it (build and install it for currently running kernel)
%{_sbindir}/dkms add -m %{module} -v %{version} --rpm_safe_upgrade

if [ -e /lib/modules/`uname -r`/build/include ]; then
	%{_sbindir}/dkms build -m %{module} -v %{version}
	%{_sbindir}/dkms install -m %{module} -v %{version}
else
	echo -e "Module build for the currently running kernel was skipped"
	echo -e "since the kernel source for this kernel does not seem to be"
        echo -e "installed."
fi
exit 0

%preun
echo -e "Uninstall of %{module} (version %{version}) beginning:"
%{_sbindir}/dkms remove -m %{module} -v %{version} --all --rpm_safe_upgrade
exit 0

%changelog
* Thu Mar 17 2005 Paul Howarth <paul@city-fan.org> 0.9.1-1
- explicity run dkms from %{_sbindir} so that goobers that do "su" instead
  of "su -" and don't get %{_sbindir} on their PATH don't come whingeing
  that it doesn't work

* Fri Feb  4 2005 Paul Howarth <paul@city-fan.org> 0.9.0-1
- advansys module is back in Fedora errata kernels - start wrapping
  up the project - add BUILD_EXCLUSIVE_KERNEL parameter to dkms.conf
  so that module is not built when not needed
- tidy up pre-build script:
    no need to support 2.7.x kernels
    apply patches quietly

* Wed Jan 12 2005 Paul Howarth <paul@city-fan.org> 0.5.3-1
- update to support 2.6.10-1.737 kernel for Fedora Core 3

* Tue Jan  4 2005 Paul Howarth <paul@city-fan.org> 0.5.2-1
- update to support 2.6.9-1.724 kernel for Fedora Core 3
- added gcc dependency

* Thu Nov  4 2004 Paul Howarth <paul@city-fan.org> 0.5.1-1
- add facility to pre_build.sh to copy required source code to
  current directory - useful for building new versions
- update to support 2.6.9 kernel for Fedora Core 3

* Mon Sep 27 2004 Paul Howarth <paul@city-fan.org> 0.5.0-1
- add code to build scsi_mod.o as well as advansys.o; this enables
  us to get the right dependency information included in advansys.ko
  when doing cross-architecture builds

* Fri Sep 24 2004 Paul Howarth <paul@city-fan.org> 0.4.3-1
- add another patch to bring source up to 2.6.8 kernel revision

* Fri Aug 27 2004 Paul Howarth <paul@city-fan.org> 0.4.2-1
- use default dkms make command instead of specifying our own

* Thu Aug 26 2004 Paul Howarth <paul@city-fan.org> 0.4.1-1
- don't make adjustments to modules/modprobe.conf
- only remake initrd if /etc/modprobe.conf has a
  scsi_hostadapter advansys entry
- see README for reasoning behind these changes

* Mon Aug 23 2004 Paul Howarth <paul@city-fan.org> 0.4-1
- turn autoinstall back on, can be useful sometimes
- dkms postinstall script added to set up bootloader if possible
- kernel source now stored as FC2 base plus patches to save space

* Tue Aug 16 2004 Paul Howarth <paul@city-fan.org> 0.3-1
- add support for dkms redhat driver disk creation (experimental)

* Thu Aug  5 2004 Paul Howarth <paul@city-fan.org> 0.2-1
- try to grab updated module source from kernel-sourcecode, if available
- make module permission 744 so that RPM will strip it
- turn off autoinstall for the module, not really appropriate

* Wed Aug  4 2004 Paul Howarth <paul@city-fan.org> 0.1-1
- initial packaging in RPM format
